Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/120
Addresses256
/64 networksPart of one
Network
2001:db8::c700/120
First address
2001:db8::c700
Last address
2001:db8::c7ff
Addresses
256
/64 networks (LANs)
None: smaller than one /64 LAN
Full form
2001:0db8:0000:0000:0000:0000:0000:c700
Type
Documentation 2001:db8::/32
For examples; never used on a network
Reverse DNS zone
7.c.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
Split into smaller subnets/127

2001:db8::c700/120 makes 128 subnets of /127.

Subnets
#SubnetLast address
12001:db8::c700/1272001:db8::c701
22001:db8::c702/1272001:db8::c703
32001:db8::c704/1272001:db8::c705
42001:db8::c706/1272001:db8::c707
52001:db8::c708/1272001:db8::c709
62001:db8::c70a/1272001:db8::c70b
72001:db8::c70c/1272001:db8::c70d
82001:db8::c70e/1272001:db8::c70f
92001:db8::c710/1272001:db8::c711
102001:db8::c712/1272001:db8::c713
112001:db8::c714/1272001:db8::c715
122001:db8::c716/1272001:db8::c717
132001:db8::c718/1272001:db8::c719
142001:db8::c71a/1272001:db8::c71b
152001:db8::c71c/1272001:db8::c71d
162001:db8::c71e/1272001:db8::c71f
172001:db8::c720/1272001:db8::c721
182001:db8::c722/1272001:db8::c723
192001:db8::c724/1272001:db8::c725
202001:db8::c726/1272001:db8::c727
212001:db8::c728/1272001:db8::c729
222001:db8::c72a/1272001:db8::c72b
232001:db8::c72c/1272001:db8::c72d
242001:db8::c72e/1272001:db8::c72f
252001:db8::c730/1272001:db8::c731
262001:db8::c732/1272001:db8::c733
272001:db8::c734/1272001:db8::c735
282001:db8::c736/1272001:db8::c737
292001:db8::c738/1272001:db8::c739
302001:db8::c73a/1272001:db8::c73b
312001:db8::c73c/1272001:db8::c73d
322001:db8::c73e/1272001:db8::c73f
332001:db8::c740/1272001:db8::c741
342001:db8::c742/1272001:db8::c743
352001:db8::c744/1272001:db8::c745
362001:db8::c746/1272001:db8::c747
372001:db8::c748/1272001:db8::c749
382001:db8::c74a/1272001:db8::c74b
392001:db8::c74c/1272001:db8::c74d
402001:db8::c74e/1272001:db8::c74f
412001:db8::c750/1272001:db8::c751
422001:db8::c752/1272001:db8::c753
432001:db8::c754/1272001:db8::c755
442001:db8::c756/1272001:db8::c757
452001:db8::c758/1272001:db8::c759
462001:db8::c75a/1272001:db8::c75b
472001:db8::c75c/1272001:db8::c75d
482001:db8::c75e/1272001:db8::c75f
492001:db8::c760/1272001:db8::c761
502001:db8::c762/1272001:db8::c763
512001:db8::c764/1272001:db8::c765
522001:db8::c766/1272001:db8::c767
532001:db8::c768/1272001:db8::c769
542001:db8::c76a/1272001:db8::c76b
552001:db8::c76c/1272001:db8::c76d
562001:db8::c76e/1272001:db8::c76f
572001:db8::c770/1272001:db8::c771
582001:db8::c772/1272001:db8::c773
592001:db8::c774/1272001:db8::c775
602001:db8::c776/1272001:db8::c777
612001:db8::c778/1272001:db8::c779
622001:db8::c77a/1272001:db8::c77b
632001:db8::c77c/1272001:db8::c77d
642001:db8::c77e/1272001:db8::c77f
652001:db8::c780/1272001:db8::c781
662001:db8::c782/1272001:db8::c783
672001:db8::c784/1272001:db8::c785
682001:db8::c786/1272001:db8::c787
692001:db8::c788/1272001:db8::c789
702001:db8::c78a/1272001:db8::c78b
712001:db8::c78c/1272001:db8::c78d
722001:db8::c78e/1272001:db8::c78f
732001:db8::c790/1272001:db8::c791
742001:db8::c792/1272001:db8::c793
752001:db8::c794/1272001:db8::c795
762001:db8::c796/1272001:db8::c797
772001:db8::c798/1272001:db8::c799
782001:db8::c79a/1272001:db8::c79b
792001:db8::c79c/1272001:db8::c79d
802001:db8::c79e/1272001:db8::c79f
812001:db8::c7a0/1272001:db8::c7a1
822001:db8::c7a2/1272001:db8::c7a3
832001:db8::c7a4/1272001:db8::c7a5
842001:db8::c7a6/1272001:db8::c7a7
852001:db8::c7a8/1272001:db8::c7a9
862001:db8::c7aa/1272001:db8::c7ab
872001:db8::c7ac/1272001:db8::c7ad
882001:db8::c7ae/1272001:db8::c7af
892001:db8::c7b0/1272001:db8::c7b1
902001:db8::c7b2/1272001:db8::c7b3
912001:db8::c7b4/1272001:db8::c7b5
922001:db8::c7b6/1272001:db8::c7b7
932001:db8::c7b8/1272001:db8::c7b9
942001:db8::c7ba/1272001:db8::c7bb
952001:db8::c7bc/1272001:db8::c7bd
962001:db8::c7be/1272001:db8::c7bf
972001:db8::c7c0/1272001:db8::c7c1
982001:db8::c7c2/1272001:db8::c7c3
992001:db8::c7c4/1272001:db8::c7c5
1002001:db8::c7c6/1272001:db8::c7c7
1012001:db8::c7c8/1272001:db8::c7c9
1022001:db8::c7ca/1272001:db8::c7cb
1032001:db8::c7cc/1272001:db8::c7cd
1042001:db8::c7ce/1272001:db8::c7cf
1052001:db8::c7d0/1272001:db8::c7d1
1062001:db8::c7d2/1272001:db8::c7d3
1072001:db8::c7d4/1272001:db8::c7d5
1082001:db8::c7d6/1272001:db8::c7d7
1092001:db8::c7d8/1272001:db8::c7d9
1102001:db8::c7da/1272001:db8::c7db
1112001:db8::c7dc/1272001:db8::c7dd
1122001:db8::c7de/1272001:db8::c7df
1132001:db8::c7e0/1272001:db8::c7e1
1142001:db8::c7e2/1272001:db8::c7e3
1152001:db8::c7e4/1272001:db8::c7e5
1162001:db8::c7e6/1272001:db8::c7e7
1172001:db8::c7e8/1272001:db8::c7e9
1182001:db8::c7ea/1272001:db8::c7eb
1192001:db8::c7ec/1272001:db8::c7ed
1202001:db8::c7ee/1272001:db8::c7ef
1212001:db8::c7f0/1272001:db8::c7f1
1222001:db8::c7f2/1272001:db8::c7f3
1232001:db8::c7f4/1272001:db8::c7f5
1242001:db8::c7f6/1272001:db8::c7f7
1252001:db8::c7f8/1272001:db8::c7f9
1262001:db8::c7fa/1272001:db8::c7fb
1272001:db8::c7fc/1272001:db8::c7fd
1282001:db8::c7fe/1272001:db8::c7ff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses